ESG
Universes

Universes ESG Documents

Get ESG documents for one universe

GET
https://api.textreveal.com/v3/universes/{universe_id}/esg/documents

Each ESG document has a hidden reliability score which is calculated from multiple fields:

  • The domain of the url of the document
  • The sentiments (negative/positive)
  • The quality score of the document
  • If the source is of high authority (is_high_authority_source)

The higher the reliability score, the more relevant the document is. By default, the result is sorted by reliability score in descending order.

Request

Parameters

  • universe_id*uuid

    Unique identifier of the universe.

  • sizeinteger

    Number of records per page

    Default: 10Range: [1, 1000]
  • search_afterstring

    search_after field value from the previous page

  • scoreinteger (operator)

    Intensity score

    You can input an integer or use the following operators: lt (<), lte (≤), gt (>), gte (≥), neq (≠), in, nin (not in), between

    Range: [1, 5]
  • extract_datedate (operator)

    Extraction date of the document

    You can input a date or use the following operators: lt (<), lte (≤), gt (>), gte (≥), neq (≠), between

    Example: "between:2022-01-01;2022-01-02"
  • case_idstring[]

    Unique case identifier to retrieve the associated documents

    You can specify multiple values

    Example: "5eb7182b-9b55-4f7a-b3e1-49062ee7cef9"
  • event_idstring[]

    Unique event identifier to retrieve the associated documents

    You can specify multiple values

    Example: "e7c2464e-0dc8-441a-970b-0d23eeabe3d1"
  • fields(string (enum))[]

    Fields to include in the response

    Default: ["id", "categories", "case_id", "country", "cluster_size", "datamarts_document_id", "entity_keywords", "entity_id", "event_id", "url", "extract_date", "dashboard_url", "language", "main_story", "negative", "neutral", "novelty", "polarity", "positive", "score", "site", "site_type", "sub_categories", "taxonomy_keywords", "title", "is_high_authority_source"]Values: "id", "categories", "case_id", "country", "cluster_size", "datamarts_document_id", "entity_keywords", "entity_id", "event_id", "url", "extract_date", "dashboard_url", "language", "main_story", "negative", "neutral", "novelty", "pola... 

Response

Response - 200

Properties of the documents. Documents are ranked by source relevance, then extract_date and then id.

  • data*object[]

    Properties of the documents

  • size*integer

    Number of records per page requested.

    Example: 1
  • has_next*boolean

    True if there are more records available.

    Example: true
  • count*integer

    Number of records returned in the current page.

    Example: 1
  • search_after*string | null

    Cursor for next page.

Response
{
  "data": [
    {
      "id": "09210f4c-7283-45c9-9b7a-ce5cd6ec7ea6",
      "categories": [
        "E"
      ],
      "case_id": "5eb7182b-9b55-4f7a-b3e1-49062ee7cef9",
      "country": "fr",
      "cluster_size": 0,
      "datamarts_document_id": "string",
      "entity_keywords": [
        "string"
      ],
      "entity_id": "00000000-0000-0000-0000-000000000000",
      "event_id": "e7c2464e-0dc8-441a-970b-0d23eeabe3d1",
      "url": "https://domain.com/article#anchor",
      "extract_date": "string",
      "dashboard_url": "https://dashboards.textreveal.com/controversy/09210f4c-7283-45c9-9b7a-ce5cd6ec7ea6",
      "language": "fre",
      "main_story": "string",
      "negative": 0.01,
      "neutral": 0.2,
      "novelty": "string",
      "polarity": 0.78765434,
      "positive": 0.8,
      "score": 2,
      "site": "domain.com",
      "site_type": "news",
      "sub_categories": [
        "Climate Change",
        "Water Pollution"
      ],
      "taxonomy_keywords": [
        "string"
      ],
      "title": "string",
      "is_high_authority_source": true
    }
  ],
  "size": 1,
  "has_next": true,
  "count": 1,
  "search_after": "string"
}

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "The server returned an unexpected response"
  • code*integer

    Error code.

    Example: 400
  • reason*string (enum)

    Error reason.

    Values: "invalid", "timeout", "offline", "unknown", "not_found", "unauthorized", "forbidden", "internal", "too_many_requests"
  • errorsobject[]

    Possible error causes, like query params, headers or body.

Response
{
  "message": "The server returned an unexpected response",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "Expected number, received string",
      "field": "size",
      "reason": "invalid_type"
    }
  ]
}

Error - 403

Not authorized

  • message*string
    Example: "Not authorized to access this resource"
  • code*number

    Error code.

  • reason*string
Response
{
  "message": "Not authorized to access this resource",
  "code": 0,
  "reason": "string"
}

Error - 404

No universe found

  • message*string
    Example: "[record] not found."
  • code*number

    Error code.

  • reason*string
Response
{
  "message": "[record] not found.",
  "code": 0,
  "reason": "string"
}